package mhp.oee.po.gen;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ResourceCurrentDataPOExample {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    protected String orderByClause;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    protected boolean distinct;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Integer offset;

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    public ResourceCurrentDataPOExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Integer offset) {
        this.offset = offset;
    }

    public Integer getOffset() {
        return offset;
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andHandleIsNull() {
            addCriterion("HANDLE is null");
            return (Criteria) this;
        }

        public Criteria andHandleIsNotNull() {
            addCriterion("HANDLE is not null");
            return (Criteria) this;
        }

        public Criteria andHandleEqualTo(String value) {
            addCriterion("HANDLE =", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotEqualTo(String value) {
            addCriterion("HANDLE <>", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleGreaterThan(String value) {
            addCriterion("HANDLE >", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleGreaterThanOrEqualTo(String value) {
            addCriterion("HANDLE >=", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLessThan(String value) {
            addCriterion("HANDLE <", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLessThanOrEqualTo(String value) {
            addCriterion("HANDLE <=", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLike(String value) {
            addCriterion("HANDLE like", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotLike(String value) {
            addCriterion("HANDLE not like", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleIn(List<String> values) {
            addCriterion("HANDLE in", values, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotIn(List<String> values) {
            addCriterion("HANDLE not in", values, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleBetween(String value1, String value2) {
            addCriterion("HANDLE between", value1, value2, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotBetween(String value1, String value2) {
            addCriterion("HANDLE not between", value1, value2, "handle");
            return (Criteria) this;
        }

        public Criteria andResourceBoIsNull() {
            addCriterion("RESOURCE_BO is null");
            return (Criteria) this;
        }

        public Criteria andResourceBoIsNotNull() {
            addCriterion("RESOURCE_BO is not null");
            return (Criteria) this;
        }

        public Criteria andResourceBoEqualTo(String value) {
            addCriterion("RESOURCE_BO =", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoNotEqualTo(String value) {
            addCriterion("RESOURCE_BO <>", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoGreaterThan(String value) {
            addCriterion("RESOURCE_BO >", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoGreaterThanOrEqualTo(String value) {
            addCriterion("RESOURCE_BO >=", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoLessThan(String value) {
            addCriterion("RESOURCE_BO <", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoLessThanOrEqualTo(String value) {
            addCriterion("RESOURCE_BO <=", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoLike(String value) {
            addCriterion("RESOURCE_BO like", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoNotLike(String value) {
            addCriterion("RESOURCE_BO not like", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoIn(List<String> values) {
            addCriterion("RESOURCE_BO in", values, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoNotIn(List<String> values) {
            addCriterion("RESOURCE_BO not in", values, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoBetween(String value1, String value2) {
            addCriterion("RESOURCE_BO between", value1, value2, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoNotBetween(String value1, String value2) {
            addCriterion("RESOURCE_BO not between", value1, value2, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andItemIsNull() {
            addCriterion("ITEM is null");
            return (Criteria) this;
        }

        public Criteria andItemIsNotNull() {
            addCriterion("ITEM is not null");
            return (Criteria) this;
        }

        public Criteria andItemEqualTo(String value) {
            addCriterion("ITEM =", value, "item");
            return (Criteria) this;
        }

        public Criteria andItemNotEqualTo(String value) {
            addCriterion("ITEM <>", value, "item");
            return (Criteria) this;
        }

        public Criteria andItemGreaterThan(String value) {
            addCriterion("ITEM >", value, "item");
            return (Criteria) this;
        }

        public Criteria andItemGreaterThanOrEqualTo(String value) {
            addCriterion("ITEM >=", value, "item");
            return (Criteria) this;
        }

        public Criteria andItemLessThan(String value) {
            addCriterion("ITEM <", value, "item");
            return (Criteria) this;
        }

        public Criteria andItemLessThanOrEqualTo(String value) {
            addCriterion("ITEM <=", value, "item");
            return (Criteria) this;
        }

        public Criteria andItemLike(String value) {
            addCriterion("ITEM like", value, "item");
            return (Criteria) this;
        }

        public Criteria andItemNotLike(String value) {
            addCriterion("ITEM not like", value, "item");
            return (Criteria) this;
        }

        public Criteria andItemIn(List<String> values) {
            addCriterion("ITEM in", values, "item");
            return (Criteria) this;
        }

        public Criteria andItemNotIn(List<String> values) {
            addCriterion("ITEM not in", values, "item");
            return (Criteria) this;
        }

        public Criteria andItemBetween(String value1, String value2) {
            addCriterion("ITEM between", value1, value2, "item");
            return (Criteria) this;
        }

        public Criteria andItemNotBetween(String value1, String value2) {
            addCriterion("ITEM not between", value1, value2, "item");
            return (Criteria) this;
        }

        public Criteria andResourceOperatorIsNull() {
            addCriterion("RESOURCE_OPERATOR is null");
            return (Criteria) this;
        }

        public Criteria andResourceOperatorIsNotNull() {
            addCriterion("RESOURCE_OPERATOR is not null");
            return (Criteria) this;
        }

        public Criteria andResourceOperatorEqualTo(String value) {
            addCriterion("RESOURCE_OPERATOR =", value, "resourceOperator");
            return (Criteria) this;
        }

        public Criteria andResourceOperatorNotEqualTo(String value) {
            addCriterion("RESOURCE_OPERATOR <>", value, "resourceOperator");
            return (Criteria) this;
        }

        public Criteria andResourceOperatorGreaterThan(String value) {
            addCriterion("RESOURCE_OPERATOR >", value, "resourceOperator");
            return (Criteria) this;
        }

        public Criteria andResourceOperatorGreaterThanOrEqualTo(String value) {
            addCriterion("RESOURCE_OPERATOR >=", value, "resourceOperator");
            return (Criteria) this;
        }

        public Criteria andResourceOperatorLessThan(String value) {
            addCriterion("RESOURCE_OPERATOR <", value, "resourceOperator");
            return (Criteria) this;
        }

        public Criteria andResourceOperatorLessThanOrEqualTo(String value) {
            addCriterion("RESOURCE_OPERATOR <=", value, "resourceOperator");
            return (Criteria) this;
        }

        public Criteria andResourceOperatorLike(String value) {
            addCriterion("RESOURCE_OPERATOR like", value, "resourceOperator");
            return (Criteria) this;
        }

        public Criteria andResourceOperatorNotLike(String value) {
            addCriterion("RESOURCE_OPERATOR not like", value, "resourceOperator");
            return (Criteria) this;
        }

        public Criteria andResourceOperatorIn(List<String> values) {
            addCriterion("RESOURCE_OPERATOR in", values, "resourceOperator");
            return (Criteria) this;
        }

        public Criteria andResourceOperatorNotIn(List<String> values) {
            addCriterion("RESOURCE_OPERATOR not in", values, "resourceOperator");
            return (Criteria) this;
        }

        public Criteria andResourceOperatorBetween(String value1, String value2) {
            addCriterion("RESOURCE_OPERATOR between", value1, value2, "resourceOperator");
            return (Criteria) this;
        }

        public Criteria andResourceOperatorNotBetween(String value1, String value2) {
            addCriterion("RESOURCE_OPERATOR not between", value1, value2, "resourceOperator");
            return (Criteria) this;
        }

        public Criteria andOperatorLockedIsNull() {
            addCriterion("OPERATOR_LOCKED is null");
            return (Criteria) this;
        }

        public Criteria andOperatorLockedIsNotNull() {
            addCriterion("OPERATOR_LOCKED is not null");
            return (Criteria) this;
        }

        public Criteria andOperatorLockedEqualTo(String value) {
            addCriterion("OPERATOR_LOCKED =", value, "operatorLocked");
            return (Criteria) this;
        }

        public Criteria andOperatorLockedNotEqualTo(String value) {
            addCriterion("OPERATOR_LOCKED <>", value, "operatorLocked");
            return (Criteria) this;
        }

        public Criteria andOperatorLockedGreaterThan(String value) {
            addCriterion("OPERATOR_LOCKED >", value, "operatorLocked");
            return (Criteria) this;
        }

        public Criteria andOperatorLockedGreaterThanOrEqualTo(String value) {
            addCriterion("OPERATOR_LOCKED >=", value, "operatorLocked");
            return (Criteria) this;
        }

        public Criteria andOperatorLockedLessThan(String value) {
            addCriterion("OPERATOR_LOCKED <", value, "operatorLocked");
            return (Criteria) this;
        }

        public Criteria andOperatorLockedLessThanOrEqualTo(String value) {
            addCriterion("OPERATOR_LOCKED <=", value, "operatorLocked");
            return (Criteria) this;
        }

        public Criteria andOperatorLockedLike(String value) {
            addCriterion("OPERATOR_LOCKED like", value, "operatorLocked");
            return (Criteria) this;
        }

        public Criteria andOperatorLockedNotLike(String value) {
            addCriterion("OPERATOR_LOCKED not like", value, "operatorLocked");
            return (Criteria) this;
        }

        public Criteria andOperatorLockedIn(List<String> values) {
            addCriterion("OPERATOR_LOCKED in", values, "operatorLocked");
            return (Criteria) this;
        }

        public Criteria andOperatorLockedNotIn(List<String> values) {
            addCriterion("OPERATOR_LOCKED not in", values, "operatorLocked");
            return (Criteria) this;
        }

        public Criteria andOperatorLockedBetween(String value1, String value2) {
            addCriterion("OPERATOR_LOCKED between", value1, value2, "operatorLocked");
            return (Criteria) this;
        }

        public Criteria andOperatorLockedNotBetween(String value1, String value2) {
            addCriterion("OPERATOR_LOCKED not between", value1, value2, "operatorLocked");
            return (Criteria) this;
        }

        public Criteria andResourceMeStaffIsNull() {
            addCriterion("RESOURCE_ME_STAFF is null");
            return (Criteria) this;
        }

        public Criteria andResourceMeStaffIsNotNull() {
            addCriterion("RESOURCE_ME_STAFF is not null");
            return (Criteria) this;
        }

        public Criteria andResourceMeStaffEqualTo(String value) {
            addCriterion("RESOURCE_ME_STAFF =", value, "resourceMeStaff");
            return (Criteria) this;
        }

        public Criteria andResourceMeStaffNotEqualTo(String value) {
            addCriterion("RESOURCE_ME_STAFF <>", value, "resourceMeStaff");
            return (Criteria) this;
        }

        public Criteria andResourceMeStaffGreaterThan(String value) {
            addCriterion("RESOURCE_ME_STAFF >", value, "resourceMeStaff");
            return (Criteria) this;
        }

        public Criteria andResourceMeStaffGreaterThanOrEqualTo(String value) {
            addCriterion("RESOURCE_ME_STAFF >=", value, "resourceMeStaff");
            return (Criteria) this;
        }

        public Criteria andResourceMeStaffLessThan(String value) {
            addCriterion("RESOURCE_ME_STAFF <", value, "resourceMeStaff");
            return (Criteria) this;
        }

        public Criteria andResourceMeStaffLessThanOrEqualTo(String value) {
            addCriterion("RESOURCE_ME_STAFF <=", value, "resourceMeStaff");
            return (Criteria) this;
        }

        public Criteria andResourceMeStaffLike(String value) {
            addCriterion("RESOURCE_ME_STAFF like", value, "resourceMeStaff");
            return (Criteria) this;
        }

        public Criteria andResourceMeStaffNotLike(String value) {
            addCriterion("RESOURCE_ME_STAFF not like", value, "resourceMeStaff");
            return (Criteria) this;
        }

        public Criteria andResourceMeStaffIn(List<String> values) {
            addCriterion("RESOURCE_ME_STAFF in", values, "resourceMeStaff");
            return (Criteria) this;
        }

        public Criteria andResourceMeStaffNotIn(List<String> values) {
            addCriterion("RESOURCE_ME_STAFF not in", values, "resourceMeStaff");
            return (Criteria) this;
        }

        public Criteria andResourceMeStaffBetween(String value1, String value2) {
            addCriterion("RESOURCE_ME_STAFF between", value1, value2, "resourceMeStaff");
            return (Criteria) this;
        }

        public Criteria andResourceMeStaffNotBetween(String value1, String value2) {
            addCriterion("RESOURCE_ME_STAFF not between", value1, value2, "resourceMeStaff");
            return (Criteria) this;
        }

        public Criteria andMeStaffLockedIsNull() {
            addCriterion("ME_STAFF_LOCKED is null");
            return (Criteria) this;
        }

        public Criteria andMeStaffLockedIsNotNull() {
            addCriterion("ME_STAFF_LOCKED is not null");
            return (Criteria) this;
        }

        public Criteria andMeStaffLockedEqualTo(String value) {
            addCriterion("ME_STAFF_LOCKED =", value, "meStaffLocked");
            return (Criteria) this;
        }

        public Criteria andMeStaffLockedNotEqualTo(String value) {
            addCriterion("ME_STAFF_LOCKED <>", value, "meStaffLocked");
            return (Criteria) this;
        }

        public Criteria andMeStaffLockedGreaterThan(String value) {
            addCriterion("ME_STAFF_LOCKED >", value, "meStaffLocked");
            return (Criteria) this;
        }

        public Criteria andMeStaffLockedGreaterThanOrEqualTo(String value) {
            addCriterion("ME_STAFF_LOCKED >=", value, "meStaffLocked");
            return (Criteria) this;
        }

        public Criteria andMeStaffLockedLessThan(String value) {
            addCriterion("ME_STAFF_LOCKED <", value, "meStaffLocked");
            return (Criteria) this;
        }

        public Criteria andMeStaffLockedLessThanOrEqualTo(String value) {
            addCriterion("ME_STAFF_LOCKED <=", value, "meStaffLocked");
            return (Criteria) this;
        }

        public Criteria andMeStaffLockedLike(String value) {
            addCriterion("ME_STAFF_LOCKED like", value, "meStaffLocked");
            return (Criteria) this;
        }

        public Criteria andMeStaffLockedNotLike(String value) {
            addCriterion("ME_STAFF_LOCKED not like", value, "meStaffLocked");
            return (Criteria) this;
        }

        public Criteria andMeStaffLockedIn(List<String> values) {
            addCriterion("ME_STAFF_LOCKED in", values, "meStaffLocked");
            return (Criteria) this;
        }

        public Criteria andMeStaffLockedNotIn(List<String> values) {
            addCriterion("ME_STAFF_LOCKED not in", values, "meStaffLocked");
            return (Criteria) this;
        }

        public Criteria andMeStaffLockedBetween(String value1, String value2) {
            addCriterion("ME_STAFF_LOCKED between", value1, value2, "meStaffLocked");
            return (Criteria) this;
        }

        public Criteria andMeStaffLockedNotBetween(String value1, String value2) {
            addCriterion("ME_STAFF_LOCKED not between", value1, value2, "meStaffLocked");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIsNull() {
            addCriterion("CREATED_DATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIsNotNull() {
            addCriterion("CREATED_DATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME =", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME <>", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeGreaterThan(Date value) {
            addCriterion("CREATED_DATE_TIME >", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME >=", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeLessThan(Date value) {
            addCriterion("CREATED_DATE_TIME <", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME <=", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIn(List<Date> values) {
            addCriterion("CREATED_DATE_TIME in", values, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotIn(List<Date> values) {
            addCriterion("CREATED_DATE_TIME not in", values, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATED_DATE_TIME between", value1, value2, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATED_DATE_TIME not between", value1, value2, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIsNull() {
            addCriterion("MODIFIED_DATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIsNotNull() {
            addCriterion("MODIFIED_DATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME =", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME <>", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeGreaterThan(Date value) {
            addCriterion("MODIFIED_DATE_TIME >", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME >=", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeLessThan(Date value) {
            addCriterion("MODIFIED_DATE_TIME <", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeLessThanOrEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME <=", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIn(List<Date> values) {
            addCriterion("MODIFIED_DATE_TIME in", values, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotIn(List<Date> values) {
            addCriterion("MODIFIED_DATE_TIME not in", values, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeBetween(Date value1, Date value2) {
            addCriterion("MODIFIED_DATE_TIME between", value1, value2, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotBetween(Date value1, Date value2) {
            addCriterion("MODIFIED_DATE_TIME not between", value1, value2, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIsNull() {
            addCriterion("MODIFIED_USER is null");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIsNotNull() {
            addCriterion("MODIFIED_USER is not null");
            return (Criteria) this;
        }

        public Criteria andModifiedUserEqualTo(String value) {
            addCriterion("MODIFIED_USER =", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotEqualTo(String value) {
            addCriterion("MODIFIED_USER <>", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserGreaterThan(String value) {
            addCriterion("MODIFIED_USER >", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserGreaterThanOrEqualTo(String value) {
            addCriterion("MODIFIED_USER >=", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLessThan(String value) {
            addCriterion("MODIFIED_USER <", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLessThanOrEqualTo(String value) {
            addCriterion("MODIFIED_USER <=", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLike(String value) {
            addCriterion("MODIFIED_USER like", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotLike(String value) {
            addCriterion("MODIFIED_USER not like", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIn(List<String> values) {
            addCriterion("MODIFIED_USER in", values, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotIn(List<String> values) {
            addCriterion("MODIFIED_USER not in", values, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserBetween(String value1, String value2) {
            addCriterion("MODIFIED_USER between", value1, value2, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotBetween(String value1, String value2) {
            addCriterion("MODIFIED_USER not between", value1, value2, "modifiedUser");
            return (Criteria) this;
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table resource_current_data
     *
     * @mbggenerated do_not_delete_during_merge
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}